%define version   1.8.70
%define release   %mkrel 1

%define libname_orig lib%{name}
%define libname %mklibname %{name} 14

Name:		qdbm
Summary:	QDBM is a Quick Database Manager
Version:	%{version}
Release:	%{release}
Group:		Databases
License:	LGPL
URL:		http://qdbm.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	zlib

%description
QDBM is an embeded database library compatible 
with GDBM and NDBM.
It features hash database and B+ tree database and 
is developed referring to GDBM for the purpose of the 
following three points: higher processing
speed, smaller size of a database file, and simpler API.
This package includes APIs for C, C++, and Java.
CGI scripts are also contained. APIs for Perl and Ruby 
should be installed with a source package.


%package -n %{libname}
Summary:	QDBM library
Group:		Databases
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
QDBM library.

%package -n %{libname}-devel
Summary:	Headers of %{name} for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
QDBM development package: static libraries, header files, and the like.


%prep
%setup -q

%build
%configure2_5x 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove docs (they should be installed by %doc)
rm -f $RPM_BUILD_ROOT/%{_datadir}/qdbm/{COPYING,ChangeLog,NEWS,THANKS,*.html}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README THANKS
%doc spex.html spex-ja.html
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libqdbm.a
%{_libdir}/pkgconfig/qdbm.pc


%changelog
* Wed Aug 23 2006 Lenny Cartier <lenny@mandriva.org> 1.8.70-1mdv2007.0
- 1.8.70

* Tue Jun 20 2006 Lenny Cartier <lenny@mandriva.org> 1.8.60-1mdv2007.0
- 1.8.60

* Sun Jun 18 2006 Emmanuel Andry <eandry@mandriva.org> 1.8.59-1mdv2007.0
- 1.8.59

* Mon May 29 2006 Emmanuel Andry <eandry@mandriva.org> 1.8.58-1mdk
- 1.8.58

* Tue May 09 2006 Lenny Cartier <lenny@mandriva.com> 1.8.52-1mdk
- 1.8.52

* Thu May 04 2006 Lenny Cartier <lenny@mandriva.com> 1.8.50-1mdk
- 1.8.50

* Wed Apr 26 2006 Lenny Cartier <lenny@mandriva.com> 1.8.49-1mdk
- 1.8.49

* Wed Apr 12 2006 Lenny Cartier <lenny@mandriva.com> 1.8.48-1mdk
- 1.8.48

* Mon Mar 27 2006 Lenny Cartier <lenny@mandriva.com> 1.8.47-1mdk
- 1.8.47

* Fri Mar 10 2006 Jerome Soyer <saispo@mandriva.org> 1.8.46-1mdk
- New release 1.8.46

* Mon Jan 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.8.40-1mdk
- new release
- bump major (11 -> 12)

* Sun Oct 30 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.8.33-1mdk
- initial spec for Mandriva Linux
